/*
	$Id: YenURLAssistantYNStyleView.java,v 1.1.1.1 2003/04/08 14:55:46 admin Exp $
	------
	
    SSTP Bottle Client for MacOS X, using protocol SLPP2.0
    Copyright (C) 2001-2002 phonohawk.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
package gui.yenurl;
import gui.yenurl.*;
import com.apple.cocoa.foundation.*;
import com.apple.cocoa.application.*;

public class YenURLAssistantYNStyleView extends NSView implements YenURLAssistantController.YenURLAssistantSubview
{
    NSTextField fld_url;
    
    public YenURLAssistantYNStyleView(NSRect r)
    {
        super(r);
    }
    
    public String generateYenURLTag()
    {
		return "\u00a5URL["+fld_url.stringValue()+']';
    }
    
    public void resetAll()
    {
		fld_url.setStringValue("");
		validate();
    }
    
    public void validate()
    {
		YenURLAssistantController.sharedController().setEnabledOfEnterButton(fld_url.stringValue().startsWith("http://"));
    }
    
    public void setup()
    {
    
    }
    
    // delegate
    public void controlTextDidChange(NSNotification aNotification) // ignores aNotification
    {
		validate();
    }
}
