/*
	$Id: ChannelInfo.java,v 1.1.1.1 2003/04/08 14:55:46 admin Exp $
	-----
	
    SSTP Bottle Client for MacOS X, using protocol SLPP2.0
    Copyright (C) 2001-2002 phonohawk.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
package core;

public class ChannelInfo
{
    boolean registered;
    
    String name;
    String info;
    int count;
    String ghost;
    boolean nopost;
    
    public ChannelInfo(String n,String i,int c,String g,boolean no)
    {
        registered = false;
        
        name = n;
        info = i;
        count = c;
        ghost = g;
        nopost = no;
    }
    
    public void setRegistered(boolean b)
    {
        registered = b;
    }
    
    public boolean registered()
    {
        return registered;
    }
    
    public String name()
    {
        return name;
    }
    
    public String info()
    {
        return info;
    }
    
    public int count()
    {
        return count;
    }
    
    public void setCount(int c)
    {
        count = c;
    }
    
    public String ghost()
    {
        return ghost;
    }
    
    public boolean nopost()
    {
        return nopost;
    }
}
