/*
	$Id: MidAnalyzer.java,v 1.1.1.1 2003/04/08 14:55:47 admin Exp $
	-----
	
    SSTP Bottle Client for MacOS X, using protocol SLPP2.0
    Copyright (C) 2001-2002 phonohawk.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
package log;
import log.*;
import java.util.*;

public class MidAnalyzer
{
    public static Calendar analyzeTimeStampFromMid(String mid)
    {
		// 擪16iErbOGfBAEunsigned intƌ􂷂ƂꂪG|bNbB
		try {
			long epoc_sec = Long.parseLong(mid.substring(0,8),16);
			Date date = new Date(epoc_sec * 1000); // Datev̂̓G|bN~bB
			
			Calendar cal = Calendar.getInstance();
			cal.setTime(date);
			
			return cal;
		}
		catch (NumberFormatException e) {
			return null;
		}
    }
	
	public static long analyzeSequenceFromMid(String mid)
	{
		// unsigned intƌ􂷂Ƃꂪꎞł̏B
		try {
			long seq = Long.parseLong(mid.substring(8));
			return seq;
		}
		catch (NumberFormatException e) {
			return 0;
		}
	}
	
	public static int compare(String mid_a,String mid_b)
	{
		// mid_a̕mid_bԓIɌ̂̂ꍇ1A
		// mid_amid_b0A
		// mid_b̂̂̕Ȃ-1ԂB
		if (mid_a.equals(mid_b)) {
			return 0;
		}
		else {
			try {
				long epoch_a = Long.parseLong(mid_a.substring(0,8),16);
				long epoch_b = Long.parseLong(mid_b.substring(0,8),16);
				
				if (epoch_a > epoch_b) {
					return 1;
				}
				else if (epoch_a < epoch_b) {
					return -1;
				}
				else {
					long seq_a = Long.parseLong(mid_a.substring(8));
					long seq_b = Long.parseLong(mid_b.substring(8));
					
					if (seq_a > seq_b) {
						return 1;
					}
					else {
						return -1;
					}
				}
			}
			catch (NumberFormatException e) {
				return 0; // bB
			}
		}
	}
}
